# Class TOpenSessionReq

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TOpenSessionReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TOpenSessionReq>`, `org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TOpenSessionReq extends Object implements org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>, Serializable, Cloneable, Comparable<TOpenSessionReq>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TOpenSessionReq._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canUseMultipleCatalogs`
`TProtocolVersion`
`client_protocol`
`long`
`client_protocol_i64`
`Map<String,String>`
`configuration`
`Map<String,String>`
`connectionProperties`
`List<TGetInfoType>`
`getInfos`
`TNamespace`
`initialNamespace`
`static final Map<TOpenSessionReq._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`String`
`password`
`String`
`username`

## Constructor Summary

Constructors
Constructor
Description
`TOpenSessionReq()`
`TOpenSessionReq(TOpenSessionReq other)`
Performs a deep copy on other.

## Method Summary

Modifier and Type
Method
Description
`void`
`addToGetInfos(TGetInfoType elem)`
`void`
`clear()`
`int`
`compareTo(TOpenSessionReq other)`
`TOpenSessionReq`
`deepCopy()`
`boolean`
`equals(TOpenSessionReq that)`
`boolean`
`equals(Object that)`
`TOpenSessionReq._Fields`
`fieldForId(int fieldId)`
`TProtocolVersion`
`getClient_protocol()`
`long`
`getClient_protocol_i64()`
`Map<String,String>`
`getConfiguration()`
`int`
`getConfigurationSize()`
`Map<String,String>`
`getConnectionProperties()`
`int`
`getConnectionPropertiesSize()`
`Object`
`getFieldValue(TOpenSessionReq._Fields field)`
`List<TGetInfoType>`
`getGetInfos()`
`Iterator<TGetInfoType>`
`getGetInfosIterator()`
`int`
`getGetInfosSize()`
`TNamespace`
`getInitialNamespace()`
`String`
`getPassword()`
`String`
`getUsername()`
`int`
`hashCode()`
`boolean`
`isCanUseMultipleCatalogs()`
`boolean`
`isSet(TOpenSessionReq._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetCanUseMultipleCatalogs()`
Returns true if field canUseMultipleCatalogs is set (has been assigned a value) and false otherwise
`boolean`
`isSetClient_protocol()`
Returns true if field client_protocol is set (has been assigned a value) and false otherwise
`boolean`
`isSetClient_protocol_i64()`
Returns true if field client_protocol_i64 is set (has been assigned a value) and false otherwise
`boolean`
`isSetConfiguration()`
Returns true if field configuration is set (has been assigned a value) and false otherwise
`boolean`
`isSetConnectionProperties()`
Returns true if field connectionProperties is set (has been assigned a value) and false otherwise
`boolean`
`isSetGetInfos()`
Returns true if field getInfos is set (has been assigned a value) and false otherwise
`boolean`
`isSetInitialNamespace()`
Returns true if field initialNamespace is set (has been assigned a value) and false otherwise
`boolean`
`isSetPassword()`
Returns true if field password is set (has been assigned a value) and false otherwise
`boolean`
`isSetUsername()`
Returns true if field username is set (has been assigned a value) and false otherwise
`void`
`putToConfiguration(String key, String val)`
`void`
`putToConnectionProperties(String key, String val)`
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TOpenSessionReq`
`setCanUseMultipleCatalogs(boolean canUseMultipleCatalogs)`
`void`
`setCanUseMultipleCatalogsIsSet(boolean value)`
`TOpenSessionReq`
`setClient_protocol(TProtocolVersion client_protocol)`
`TOpenSessionReq`
`setClient_protocol_i64(long client_protocol_i64)`
`void`
`setClient_protocol_i64IsSet(boolean value)`
`void`
`setClient_protocolIsSet(boolean value)`
`TOpenSessionReq`
`setConfiguration(Map<String,String> configuration)`
`void`
`setConfigurationIsSet(boolean value)`
`TOpenSessionReq`
`setConnectionProperties(Map<String,String> connectionProperties)`
`void`
`setConnectionPropertiesIsSet(boolean value)`
`void`
`setFieldValue(TOpenSessionReq._Fields field, Object value)`
`TOpenSessionReq`
`setGetInfos(List<TGetInfoType> getInfos)`
`void`
`setGetInfosIsSet(boolean value)`
`TOpenSessionReq`
`setInitialNamespace(TNamespace initialNamespace)`
`void`
`setInitialNamespaceIsSet(boolean value)`
`TOpenSessionReq`
`setPassword(String password)`
`void`
`setPasswordIsSet(boolean value)`
`TOpenSessionReq`
`setUsername(String username)`
`void`
`setUsernameIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetCanUseMultipleCatalogs()`
`void`
`unsetClient_protocol()`
`void`
`unsetClient_protocol_i64()`
`void`
`unsetConfiguration()`
`void`
`unsetConnectionProperties()`
`void`
`unsetGetInfos()`
`void`
`unsetInitialNamespace()`
`void`
`unsetPassword()`
`void`
`unsetUsername()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### client_protocol

public TProtocolVersion client_protocol

See Also:
  - `TProtocolVersion`

### username

public String username

### password

public String password

### configuration

public Map<String,String> configuration

### getInfos

public List<TGetInfoType> getInfos

### client_protocol_i64

public long client_protocol_i64

### connectionProperties

public Map<String,String> connectionProperties

### initialNamespace

public TNamespace initialNamespace

### canUseMultipleCatalogs

public boolean canUseMultipleCatalogs

### metaDataMap

public static final Map<TOpenSessionReq._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TOpenSessionReq

public TOpenSessionReq()

### TOpenSessionReq

public TOpenSessionReq(TOpenSessionReq other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TOpenSessionReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>`

### getClient_protocol

public TProtocolVersion getClient_protocol()

See Also:
  - `TProtocolVersion`

### setClient_protocol

public TOpenSessionReq setClient_protocol(TProtocolVersion client_protocol)

See Also:
  - `TProtocolVersion`

### unsetClient_protocol

public void unsetClient_protocol()

### isSetClient_protocol

public boolean isSetClient_protocol()
Returns true if field client_protocol is set (has been assigned a value) and false otherwise

### setClient_protocolIsSet

public void setClient_protocolIsSet(boolean value)

### getUsername

public String getUsername()

### setUsername

public TOpenSessionReq setUsername(String username)

### unsetUsername

public void unsetUsername()

### isSetUsername

public boolean isSetUsername()
Returns true if field username is set (has been assigned a value) and false otherwise

### setUsernameIsSet

public void setUsernameIsSet(boolean value)

### getPassword

public String getPassword()

### setPassword

public TOpenSessionReq setPassword(String password)

### unsetPassword

public void unsetPassword()

### isSetPassword

public boolean isSetPassword()
Returns true if field password is set (has been assigned a value) and false otherwise

### setPasswordIsSet

public void setPasswordIsSet(boolean value)

### getConfigurationSize

public int getConfigurationSize()

### putToConfiguration

public void putToConfiguration(String key, String val)

### getConfiguration

public Map<String,String> getConfiguration()

### setConfiguration

public TOpenSessionReq setConfiguration(Map<String,String> configuration)

### unsetConfiguration

public void unsetConfiguration()

### isSetConfiguration

public boolean isSetConfiguration()
Returns true if field configuration is set (has been assigned a value) and false otherwise

### setConfigurationIsSet

public void setConfigurationIsSet(boolean value)

### getGetInfosSize

public int getGetInfosSize()

### getGetInfosIterator

public Iterator<TGetInfoType> getGetInfosIterator()

### addToGetInfos

public void addToGetInfos(TGetInfoType elem)

### getGetInfos

public List<TGetInfoType> getGetInfos()

### setGetInfos

public TOpenSessionReq setGetInfos(List<TGetInfoType> getInfos)

### unsetGetInfos

public void unsetGetInfos()

### isSetGetInfos

public boolean isSetGetInfos()
Returns true if field getInfos is set (has been assigned a value) and false otherwise

### setGetInfosIsSet

public void setGetInfosIsSet(boolean value)

### getClient_protocol_i64

public long getClient_protocol_i64()

### setClient_protocol_i64

public TOpenSessionReq setClient_protocol_i64(long client_protocol_i64)

### unsetClient_protocol_i64

public void unsetClient_protocol_i64()

### isSetClient_protocol_i64

public boolean isSetClient_protocol_i64()
Returns true if field client_protocol_i64 is set (has been assigned a value) and false otherwise

### setClient_protocol_i64IsSet

public void setClient_protocol_i64IsSet(boolean value)

### getConnectionPropertiesSize

public int getConnectionPropertiesSize()

### putToConnectionProperties

public void putToConnectionProperties(String key, String val)

### getConnectionProperties

public Map<String,String> getConnectionProperties()

### setConnectionProperties

public TOpenSessionReq setConnectionProperties(Map<String,String> connectionProperties)

### unsetConnectionProperties

public void unsetConnectionProperties()

### isSetConnectionProperties

public boolean isSetConnectionProperties()
Returns true if field connectionProperties is set (has been assigned a value) and false otherwise

### setConnectionPropertiesIsSet

public void setConnectionPropertiesIsSet(boolean value)

### getInitialNamespace

public TNamespace getInitialNamespace()

### setInitialNamespace

public TOpenSessionReq setInitialNamespace(TNamespace initialNamespace)

### unsetInitialNamespace

public void unsetInitialNamespace()

### isSetInitialNamespace

public boolean isSetInitialNamespace()
Returns true if field initialNamespace is set (has been assigned a value) and false otherwise

### setInitialNamespaceIsSet

public void setInitialNamespaceIsSet(boolean value)

### isCanUseMultipleCatalogs

public boolean isCanUseMultipleCatalogs()

### setCanUseMultipleCatalogs

public TOpenSessionReq setCanUseMultipleCatalogs(boolean canUseMultipleCatalogs)

### unsetCanUseMultipleCatalogs

public void unsetCanUseMultipleCatalogs()

### isSetCanUseMultipleCatalogs

public boolean isSetCanUseMultipleCatalogs()
Returns true if field canUseMultipleCatalogs is set (has been assigned a value) and false otherwise

### setCanUseMultipleCatalogsIsSet

public void setCanUseMultipleCatalogsIsSet(boolean value)

### setFieldValue

public void setFieldValue(TOpenSessionReq._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>`

### getFieldValue

public Object getFieldValue(TOpenSessionReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>`

### isSet

public boolean isSet(TOpenSessionReq._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TOpenSessionReq that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TOpenSessionReq other)

Specified by:
  `compareTo` in interface `Comparable<TOpenSessionReq>`

### fieldForId

public TOpenSessionReq._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TOpenSessionReq,TOpenSessionReq._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`